echo -off

set -v InfoUtil BIOSInfo.efi

# find partition:
for %i run (0 9 1)
  if exist fs%i:\%InfoUtil% then
    set -v StartUpPkgPartition fs%i
    goto StartUpPkgPartitionFound 
endif
endfor

echo file BIOSInfo.efi not found
goto Exit 

# change partition:
:StartUpPkgPartitionFound
%StartUpPkgPartition%:

# run InfoUtil
BIOSInfo.efi > InfoLog.txt

echo The report is saved in file InfoLog.txt

:Exit